#
# Aura Engine API (https://gitlab.servus.at/aura/engine-api)
#
# Copyright (C) 2020 - The Aura Engine Team.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.



import sys
from setuptools import setup, find_packages

NAME = "engine-api"
VERSION = "0.1.0"

# To install the library, run the following
#
# python setup.py install
#
# prerequisite: setuptools
# http://pypi.python.org/pypi/setuptools

REQUIRES = ["connexion"]

setup(
    name=NAME,
    version=VERSION,
    description="AURA Engine API",
    author_email="david.trattnig@subsquare.at",
    url="",
    keywords=["OpenAPI", "AURA Engine API"],
    install_requires=REQUIRES,
    packages=find_packages(),
    package_data={'': ['src/rest/swagger/swagger.yaml']},
    include_package_data=True,
    entry_points={
        'console_scripts': ['src.app=src.app.__main__:main']
    },
    long_description="""\
    This is the AURA Engine API. Read more at https://gitlab.servus.at/aura/engine.
    """
)
